### Hierarchy

- TestItem
  - TestCase

## Index

### Properties

- logText

### Methods

- delay
- dispose
- init
- log
- singleton

## Properties

### logText

logText: string

Inherited from TestItem.logText

- Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Methods

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from TestItem.dispose

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:4

  #### Returns Promise<any>

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

### singleton

- singleton(): void

- - Defined in tests/di/tests.ts:35

  #### Returns void

Generated using TypeDoc